Ir al contenido

El registro de subencargados del tratamiento del operador (DPA art. 8 / Anexo 3)

GET
/v1/legal/sub-processors
curl --request GET \
--url https://api.vimine.network/v1/legal/sub-processors

El registro actual (activos, previstos y proveedores que no tratan datos de las asociaciones) con la versión en vigor del Anexo 3 a la que está vinculado.

Registro

Tipo de medioapplication/json
object
version

La versión en vigor del Anexo 3 a la que está vinculado el registro

string
nullable
effective_from
string formato: date-time
nullable
notice_days
integer
at
string formato: date-time
active
obligatorio
Array<object>
object
cod
obligatorio
string
name
obligatorio
string
entity
string
nullable
service
obligatorio
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obligatorio
string
Valores permitidos: processor controller none
status
obligatorio
string
Valores permitidos: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
planned
obligatorio
Array<object>
object
cod
obligatorio
string
name
obligatorio
string
entity
string
nullable
service
obligatorio
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obligatorio
string
Valores permitidos: processor controller none
status
obligatorio
string
Valores permitidos: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
other
obligatorio

Proveedores que no tratan datos de las asociaciones (transparencia)

Array<object>
object
cod
obligatorio
string
name
obligatorio
string
entity
string
nullable
service
obligatorio
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obligatorio
string
Valores permitidos: processor controller none
status
obligatorio
string
Valores permitidos: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
Ejemplo
{
"active": [
{
"role": "processor",
"status": "active"
}
],
"planned": [
{
"role": "processor",
"status": "active"
}
],
"other": [
{
"role": "processor",
"status": "active"
}
]
}

Petición no válida

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

No encontrado

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Límite de frecuencia superado

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Error interno

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}